%global realname cowlib
%global upstream ninenines
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	2.2.0
Release:	2%{?dist}
Summary:	Support library for manipulating Web protocols
Group:		Development/Libraries
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:  erlang-proper
BuildRequires:  erlang-rebar


%description
Support library for manipulating Web protocols.


%prep
%autosetup -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
# FIXME doesn't work with ProPer atm
#%%{__rebar} qc -vv


%files
%license LICENSE
%doc AUTHORS README.asciidoc
%{erlang_appdir}/


%changelog
* Wed Mar 21 2018 Peter Lemenkov <lemenkov@gmail.com> - 2.2.0-2
- Rebuild for Erlang 20 (with proper builddeps)

* Tue Mar 13 2018 Peter Lemenkov <lemenkov@gmail.com> - 2.2.0-1
- Ver. 2.2.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Dec 12 2017 Peter Lemenkov <lemenkov@gmail.com> - 2.1.0-1
- Ver. 2.1.0

* Tue Nov 28 2017 Peter Lemenkov <lemenkov@gmail.com> - 2.0.1-1
- Ver. 2.0.1

* Fri Oct 06 2017 Peter Lemenkov <lemenkov@gmail.com> - 2.0.0-1
- Ver. 2.0.0

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Mar 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Initial packaging
